## libva 2.19.0

=== debian/changelog ===
libva (2.19.0-1) unstable; urgency=medium

  * New upstream version 2.19.0
  * debian/control:
    - Update Homepage (Closes: #1037332)
    - Add new driver ABI
    - Remove unused driver ABI versions

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Jul 2023 11:31:47 +0200

=== debian/control ===
Source: libva
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libdrm-dev,
 libgl1-mesa-dev | libgl-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libx11-xcb-dev,
 libxcb-dri3-dev,
 libxcb1-dev,
 libxext-dev,
 libxfixes-dev,
 pkg-config,
 perl:any
Standards-Version: 4.6.2
Homepage: https://github.com/intel/libva
Vcs-Git: https://salsa.debian.org/multimedia-team/libva.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libva
Rules-Requires-Root: no

Package: libva-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libva-drm2 (= ${binary:Version}),
 libva-glx2 (= ${binary:Version}),
 libva-wayland2 (= ${binary:Version}) [linux-any],
 libva-x11-2 (= ${binary:Version}),
 libva2 (= ${binary:Version}),
 libwayland-dev [linux-any],
 ${misc:Depends},
 libset-scalar-perl
Provides:
 dh-sequence-libva
Description: Video Acceleration (VA) API for Linux -- development files
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the development environment for libva.

Package: libva2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 va-driver-all | va-driver
Provides:
 libva-driver-abi-1.0,
 libva-driver-abi-1.8,
 libva-driver-abi-1.17,
 libva-driver-abi-1.18,
 libva-driver-abi-1.19,
Description: Video Acceleration (VA) API for Linux -- runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the main libva library.

Package: libva-x11-2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- X11 runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-x11 library.

Package: libva-glx2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- GLX runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-glx library.

Package: libva-drm2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- DRM runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-drm library.

Package: libva-wayland2
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Video Acceleration (VA) API for Linux -- Wayland runtime
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. The specification was originally designed by Intel for its GMA
 (Graphics Media Accelerator) series of GPU hardware, the API is however not
 limited to GPUs or Intel specific hardware, as other hardware and manufacturers
 can also freely use this API for hardware accelerated video decoding.
 .
 This package provides the libva-wayland library.

Package: va-driver-all
Architecture: any
Section: video
Multi-Arch: same
Depends:
 ${misc:Depends},
 i965-va-driver [any-amd64 any-i386] | i965-va-driver-shaders [any-amd64 any-i386],
 intel-media-va-driver [amd64 i386 x32] | intel-media-va-driver-non-free [amd64 i386 x32],
 mesa-va-drivers
Description: Video Acceleration (VA) API -- driver metapackage
 This package depends on the full suite of drivers for the Video Acceleration
 API (VA API). It does not provide any drivers itself, and may be removed if
 you wish to only have certain drivers installed.

## libva 2.20.0

=== meson_options.txt ===
option('driverdir', type : 'string', description : 'drivers path')
option('disable_drm', type : 'boolean', value : false)
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_glx', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_win32', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_legacy', type : 'array', choices : ['emdg', 'nvctrl', 'fglrx'], value : [])
option('enable_docs', type : 'boolean', value : false)

=== debian/changelog ===
libva (2.20.0-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:47 +0200

libva (2.20.0-2) unstable; urgency=medium

  * debian/rules: Fix meson flag

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Sep 2023 12:45:11 +0200

libva (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * debian/control:
    - Add new driver ABI
    - Switch pkg-config to pkgconf
    - Remove unnecessary alternative BD
  * debian/: Build with meson

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Sep 2023 10:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: libva
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libdrm-dev,
- libgl1-mesa-dev | libgl-dev,
+ libgl-dev,
  libwayland-dev [linux-any],
  libx11-dev,
  libx11-xcb-dev,
@@ -16,8 +17,10 @@
  libxcb1-dev,
  libxext-dev,
  libxfixes-dev,
- pkg-config,
- perl:any
+ meson,
+ ninja-build,
+ perl:any,
+ pkgconf,
 Standards-Version: 4.6.2
 Homepage: https://github.com/intel/libva
 Vcs-Git: https://salsa.debian.org/multimedia-team/libva.git
@@ -65,6 +68,7 @@
  libva-driver-abi-1.17,
  libva-driver-abi-1.18,
  libva-driver-abi-1.19,
+ libva-driver-abi-1.20,
 Description: Video Acceleration (VA) API for Linux -- runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
# wayland is only available on linux-any
confflags += -Dwith_wayland=no
endif

%:
	dh $@ -Smeson

override_dh_autoreconf:
	# do nothing

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

execute_before_dh_auto_build:
	cd debian/dh && pod2man -c Debhelper -r '' dh_libva dh_libva.1

execute_before_dh_shlibdeps:
	echo "libva 2 libva2 (>= $(DEB_VERSION_UPSTREAM)), libva2 (<< $(DEB_VERSION_UPSTREAM).1)" > debian/shlibs.local

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="uversionmangle=s/\.pre/~pre/, \
  filenamemangle=s%(?:.*?)@ANY_VERSION@\.tar\.gz%libva-$1.tar.gz%" \
  https://github.com/intel/libva/tags \
  .*/(\d+.*)\.tar\.gz

## libva 2.21.0

=== debian/changelog ===
libva (2.21.0-1) unstable; urgency=medium

  * New upstream version 2.21.0
  * debian/control:
    - Bump Standards-Version
    - Add new driver ABI
  * debian/libva2.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 May 2024 19:00:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libva
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Sebastian Ramacher <sramacher@debian.org>
@@ -21,7 +20,7 @@
  ninja-build,
  perl:any,
  pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/intel/libva
 Vcs-Git: https://salsa.debian.org/multimedia-team/libva.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libva
@@ -69,6 +68,7 @@
  libva-driver-abi-1.18,
  libva-driver-abi-1.19,
  libva-driver-abi-1.20,
+ libva-driver-abi-1.21,
 Description: Video Acceleration (VA) API for Linux -- runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for

## libva 2.22.0

=== debian/changelog ===
libva (2.22.0-3ubuntu3) questing; urgency=medium

  * Reinstate tracing:
    - Ubuntu security team admitted this wasn't strictly necessary,
      https://bugs.launchpad.net/ubuntu/+source/libva/+bug/2097800/comments/8
      Since there's very little evidence to suggest this would
      actually lead to any real exploit. However, it does cause
      headaches for debugging issues with the Ubuntu Desktop in
      production, so bring it back.

 -- Charles Turner <charles.turner@canonical.com>  Wed, 25 Jun 2025 15:33:22 +0100

libva (2.22.0-3ubuntu2) plucky; urgency=medium

  * Branch for Ubuntu
  * Mark a symbol as optional that isn't seen when trace is disabled
  * Add patch to disable trace feature. See bug 2097800
  * Demote va-driver-all from Recommends to Suggests to allow
    libva2 to be promoted to Ubuntu main (LP: #2104050)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Mar 2025 15:15:10 -0400

libva (2.22.0-3) unstable; urgency=medium

  * Team upload
  * Opt into LTO (Closes: #1015530)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 09:13:29 -0500

libva (2.22.0-2) unstable; urgency=medium

  * Team upload
  * Enable all hardening flags
  * debian/gbp.conf: remove unnecessary option

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 16:57:01 -0500

libva (2.22.0-1) unstable; urgency=medium

  * New upstream version 2.22.0
  * debian/control: Add new driver ABI

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Jul 2024 19:49:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
 # wayland is only available on linux-any

## libva 2.23.0

=== debian/changelog ===
libva (2.23.0-1) unstable; urgency=medium

  * New upstream version 2.23.0
  * debian/control:
    - Add new driver ABI
    - Remove old driver ABI versions
    - Bump Standards Version
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 Dec 2025 22:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ninja-build,
  perl:any,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/intel/libva
 Vcs-Git: https://salsa.debian.org/multimedia-team/libva.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libva
@@ -63,12 +63,8 @@
  va-driver-all | va-driver
 Provides:
  libva-driver-abi-1.0,
- libva-driver-abi-1.8,
- libva-driver-abi-1.17,
- libva-driver-abi-1.18,
- libva-driver-abi-1.19,
- libva-driver-abi-1.20,
- libva-driver-abi-1.21,
+ libva-driver-abi-1.22,
+ libva-driver-abi-1.23,
 Description: Video Acceleration (VA) API for Linux -- runtime
  Video Acceleration API (VA API) is a library ("libVA") and API specification
  which enables and provides access to graphics hardware (GPU) acceleration for
